Users
Get an user details
Get the details of an user
Authorization
platformAppApiKey api_access_token<token>
This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.
In: header
Path Parameters
id*integer
The numeric ID of the user on the platform
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/platform/api/v1/users/0"{
"id": 0,
"access_token": "string",
"account_id": 0,
"available_name": "string",
"avatar_url": "string",
"confirmed": true,
"display_name": "string",
"message_signature": "string",
"email": "string",
"hmac_identifier": "string",
"inviter_id": 0,
"name": "string",
"provider": "string",
"pubsub_token": "string",
"role": "agent",
"ui_settings": {},
"uid": "string",
"type": "string",
"custom_attributes": {},
"accounts": [
{
"id": 0,
"name": "string",
"status": "string",
"active_at": "2019-08-24T14:15:22Z",
"role": "administrator",
"permissions": [
"string"
],
"availability": "string",
"availability_status": "string",
"auto_offline": true,
"custom_role_id": 0,
"custom_role": {}
}
]
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}